package com.ssj.bean.sys.knowledge.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @author chchen
 * 类描述:学情的维度定义表
 * 创建时间:2018年8月6日

 */
@Entity
@Table(name = "know_dimension")
public class KnowDimension extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 维度名称
     */
    @Column(name="name")
    private String name;
    /**
     * 类别， 0知识维度，1技能维度
     */
    @Column(name="type")
    private Integer type;
    /**
     *     学科
     */
    @Column(name="course_name")
    private String courseName;

    /**
     * 备注信息
     */
    @Column(name="remark")
    private String remark;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
